# frozen_string_literal: true

###############################################################################
# cli
###############################################################################

require 'docopt'
require 'json'
require 'pleme/runner'

class Cli
  def initialize
    @doc = <<~DOCOPT
      pleme.

      Usage:
        pleme
        pleme dotfiles
        pleme plan
        pleme apply
        pleme destroy
        pleme compose up [-d]
        pleme compose down
        pleme compose build
        pleme truvantis scan
    DOCOPT
  end

  def run
    Runner.new.run(**JSON.parse(JSON[Docopt.docopt(@doc)], symbolize_names: true))
  rescue Docopt::Exit => e
    puts e.message
  end
end
