# frozen_string_literal: true

require 'pleme/abstract_translator'

class ResourceTranslation < AbstractTranslation
end
class ResourceTranslator < AbstractTranslator
  attr_accessor :translation
  attr_reader :resource_symbols

  def initialize
    @translation = ResourceTranslation.new
    @resource_symbols = %i[resource]
  end

  def method_missing(method_name, *args, &block)
    abstract_method_missing(
      @translation,
      method_name,
      @resource_symbols,
      *args,
      &block
    )
  end
end
